.wrap-local {
  position: relative;
  min-height: 100svh;
}

@media (max-width: 767px) {
  .mvarea {
    margin-top: 0;
  }
}

.mv-container {
  position: relative;
  padding-bottom: 80px;
}
.mv-container span:nth-of-type(1),
.mv-container span:nth-of-type(2) {
  position: absolute;
  top: 0;
  left: 0;
  width: 120px;
  height: 100%;
  background-color: rgba(0, 0, 0, 0);
  border-radius: 20px 20px 0 0;
  transition: all 0.3s ease-in-out;
}
@media (hover: hover) {
  .mv-container span:nth-of-type(1):hover,
  .mv-container span:nth-of-type(2):hover {
    background-color: rgba(0, 0, 0, 0.1);
  }
}
@media (max-width: 767px) {
  .mv-container span:nth-of-type(1),
  .mv-container span:nth-of-type(2) {
    display: none !important;
  }
}
.mv-container span:nth-of-type(2) {
  left: unset;
  right: 0;
  width: 170px;
}
@media (max-width: 767px) {
  .mv-container {
    padding-bottom: 50px;
  }
}
.mv-container .frame {
  position: absolute;
  top: 0;
  width: 100%;
  height: calc(100% - 80px);
  pointer-events: none;
}
.mv-container .frame img {
  width: 100%;
  height: 100%;
}
@media (max-width: 767px) {
  .mv-container .frame {
    display: none !important;
  }
}

.mv-wrapper {
  overflow-x: auto;
  position: relative;
  width: 100%;
  height: 100vh;
  background: url(../images/bg.jpg) no-repeat center center;
}
.mv-wrapper .mv {
  position: absolute;
  bottom: 0;
  width: 160vh;
  height: 90vh;
}
.mv-wrapper .mv canvas {
  display: block;
  width: 100%;
  height: 100%;
}
@media (max-width: 767px) {
  .mv-wrapper {
    overflow-x: scroll;
    height: calc(100svh - 88px);
    overflow: auto;
    scrollbar-width: thin;
    scrollbar-color: transparent transparent;
  }
  .mv-wrapper::-webkit-scrollbar {
    width: 8px;
    height: 8px;
    background: transparent;
  }
  .mv-wrapper::-webkit-scrollbar-thumb {
    background-color: transparent;
  }
  .mv-wrapper::-webkit-scrollbar-track {
    background: transparent;
  }
  .mv-wrapper .mv {
    box-sizing: border-box;
    position: absolute;
    bottom: 0;
    left: unset;
    transform: none;
    width: calc((90svh - 0px) * 1.7777777778);
    height: calc(90svh - 0px);
    max-width: 1066.6666666667px;
    max-height: 600px;
    aspect-ratio: auto;
  }
  .mv-wrapper .mv canvas {
    width: 100%;
    height: 100%;
  }
}

@media (min-width: 1500px) {
  .mv-container {
    padding-bottom: 80px;
  }
}
@media (min-height: 1400px) {
  .mv-container .mv-wrapper .mv {
    width: 160vh;
    height: 90vh;
  }
}